/**
 * 
 */

/**
 * @author Christophe Havard
 *
 */

public class SerialTest {
	

	public static void main(String[] args) throws Exception {
		
		IGlove fakeGlove = GloveFactory.getNewFakeGlove();
		fakeGlove.vibrate(FINGERS.ALL, 1000);
		
		IGlove realGlove = GloveFactory.getNewGlove("COM3");
		
		realGlove.vibrate(FINGERS.ALL, 1000);
		Thread.sleep(3000);
		realGlove.vibrate(FINGERS.FOREFINGER, 1000, 14);
		Thread.sleep(1000);
		realGlove.vibrate(FINGERS.MIDDLEFINGER, 1000, 12);
		Thread.sleep(1000);
		realGlove.vibrate(FINGERS.RINGFINGER, 1000, 9);
		Thread.sleep(1000);
		realGlove.vibrate(FINGERS.LITTLEFINGER, 1000, 6);
		Thread.sleep(1000);
		realGlove.vibrate(FINGERS.THUMB, 1000, 3);
		Thread.sleep(1000);
		GloveFactory.destroyGlove();
	}
}